import * as $dara from '@darabonba/typescript';
import { DeregisterManagedInstanceResponseBody } from "./DeregisterManagedInstanceResponseBody";
export declare class DeregisterManagedInstanceResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeregisterManagedInstanceResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
